Index: LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/physiq_mod.F90	(revision 5099)
@@ -3912,30 +3865,29 @@
 
     IF (ok_bs .AND. ok_rad_bs) THEN
-       IF (ok_new_lscp .AND. ok_icefra_lscp) THEN
-           DO k=1,klev
-             DO i=1,klon
-                radocond(i,k)=radocond(i,k)+qbs_seri(i,k)
-                picefra(i,k)=(radocond(i,k)*picefra(i,k)+qbs_seri(i,k))/(radocond(i,k))
-                qbsfra=min(qbs_seri(i,k)/qbst_bs,1.0) 
-                cldfra(i,k)=max(cldfra(i,k),qbsfra)
-             ENDDO
-           ENDDO
-       ELSE
-          WRITE(lunout,*)"PAY ATTENTION, you try to activate the radiative effect of blowing snow"
-          WRITE(lunout,*)"with ok_new_lscp=false and/or ok_icefra_lscp=false"
-          abort_message='inconsistency in cloud phase for blowing snow'
-          CALL abort_physic(modname,abort_message,1)
-       ENDIF
+      IF (ok_new_lscp .AND. ok_icefra_lscp) THEN
+        DO k = 1, klev
+          DO i = 1, klon
+            radocond(i, k) = radocond(i, k) + qbs_seri(i, k)
+            picefra(i, k) = (radocond(i, k) * picefra(i, k) + qbs_seri(i, k)) / (radocond(i, k))
+            qbsfra = min(qbs_seri(i, k) / qbst_bs, 1.0)
+            cldfra(i, k) = max(cldfra(i, k), qbsfra)
+          ENDDO
+        ENDDO
+      ELSE
+        WRITE(lunout, *)"PAY ATTENTION, you try to activate the radiative effect of blowing snow"
+        WRITE(lunout, *)"with ok_new_lscp=false and/or ok_icefra_lscp=false"
+        abort_message = 'inconsistency in cloud phase for blowing snow'
+        CALL abort_physic(modname, abort_message, 1)
+      ENDIF
 
     ENDIF
 
     IF (mydebug) THEN
-       CALL writefield_phy('u_seri',u_seri,nbp_lev)
-       CALL writefield_phy('v_seri',v_seri,nbp_lev)
-       CALL writefield_phy('t_seri',t_seri,nbp_lev)
-       CALL writefield_phy('q_seri',q_seri,nbp_lev)
+      CALL writefield_phy('u_seri', u_seri, nbp_lev)
+      CALL writefield_phy('v_seri', v_seri, nbp_lev)
+      CALL writefield_phy('t_seri', t_seri, nbp_lev)
+      CALL writefield_phy('q_seri', q_seri, nbp_lev)
     ENDIF
 
-    !
     !-------------------------------------------------------------------
     !  PRESCRIPTION DES NUAGES POUR LE RAYONNEMENT
@@ -3943,119 +3895,118 @@
 
     ! 1. NUAGES CONVECTIFS
-    !
+
     !IM cf FH
     !     IF (iflag_cld_th.eq.-1) THEN ! seulement pour Tiedtke
     IF (iflag_cld_th<=-1) THEN ! seulement pour Tiedtke
-       snow_tiedtke=0.
-       !     print*,'avant calcul de la pseudo precip '
-       !     print*,'iflag_cld_th',iflag_cld_th
-       IF (iflag_cld_th==-1) THEN
-          rain_tiedtke=rain_con
-       ELSE
-          !       print*,'calcul de la pseudo precip '
-          rain_tiedtke=0.
-          !         print*,'calcul de la pseudo precip 0'
-          DO k=1,klev
-             DO i=1,klon
-                IF (d_q_con(i,k)<0.) THEN
-                   rain_tiedtke(i)=rain_tiedtke(i)-d_q_con(i,k)/pdtphys &
-                        *(paprs(i,k)-paprs(i,k+1))/rg
-                ENDIF
-             ENDDO
+      snow_tiedtke = 0.
+      !     print*,'avant calcul de la pseudo precip '
+      !     print*,'iflag_cld_th',iflag_cld_th
+      IF (iflag_cld_th==-1) THEN
+        rain_tiedtke = rain_con
+      ELSE
+        !       print*,'calcul de la pseudo precip '
+        rain_tiedtke = 0.
+        !         print*,'calcul de la pseudo precip 0'
+        DO k = 1, klev
+          DO i = 1, klon
+            IF (d_q_con(i, k)<0.) THEN
+              rain_tiedtke(i) = rain_tiedtke(i) - d_q_con(i, k) / pdtphys &
+                      * (paprs(i, k) - paprs(i, k + 1)) / rg
+            ENDIF
           ENDDO
-       ENDIF
-       !
-       !     call dump2d(iim,jjm,rain_tiedtke(2:klon-1),'PSEUDO PRECIP ')
-       !
-
-       ! Nuages diagnostiques pour Tiedtke
-       CALL diagcld1(paprs,pplay, &
-                                !IM cf FH. rain_con,snow_con,ibas_con,itop_con,
-            rain_tiedtke,snow_tiedtke,ibas_con,itop_con, &
-            diafra,dialiq)
-       DO k = 1, klev
-          DO i = 1, klon
-             IF (diafra(i,k)>cldfra(i,k)) THEN
-                radocond(i,k) = dialiq(i,k)
-                cldfra(i,k) = diafra(i,k)
-             ENDIF
+        ENDDO
+      ENDIF
+
+      !     call dump2d(iim,jjm,rain_tiedtke(2:klon-1),'PSEUDO PRECIP ')
+
+      ! Nuages diagnostiques pour Tiedtke
+      CALL diagcld1(paprs, pplay, &
+              !IM cf FH. rain_con,snow_con,ibas_con,itop_con,
+              rain_tiedtke, snow_tiedtke, ibas_con, itop_con, &
+              diafra, dialiq)
+      DO k = 1, klev
+        DO i = 1, klon
+          IF (diafra(i, k)>cldfra(i, k)) THEN
+            radocond(i, k) = dialiq(i, k)
+            cldfra(i, k) = diafra(i, k)
+          ENDIF
+        ENDDO
+      ENDDO
+
+    ELSE IF (iflag_cld_th>=3) THEN
+      !  On prend pour les nuages convectifs le max du calcul de la
+      !  convection et du calcul du pas de temps precedent diminue d'un facteur
+      !  facttemps
+      facteur = pdtphys * facttemps
+      DO k = 1, klev
+        DO i = 1, klon
+          rnebcon(i, k) = rnebcon(i, k) * facteur
+          IF (rnebcon0(i, k) * clwcon0(i, k)>rnebcon(i, k) * clwcon(i, k)) THEN
+            rnebcon(i, k) = rnebcon0(i, k)
+            clwcon(i, k) = clwcon0(i, k)
+          ENDIF
+        ENDDO
+      ENDDO
+
+      !   On prend la somme des fractions nuageuses et des contenus en eau
+
+      IF (iflag_cld_th>=5) THEN
+
+        DO k = 1, klev
+          ptconvth(:, k) = fm_therm(:, k + 1)>0.
+        ENDDO
+
+        IF (iflag_coupl==4) THEN
+
+          ! Dans le cas iflag_coupl==4, on prend la somme des convertures
+          ! convectives et lsc dans la partie des thermiques
+          ! Le controle par iflag_coupl est peut etre provisoire.
+          DO k = 1, klev
+            DO i = 1, klon
+              IF (ptconv(i, k).AND.ptconvth(i, k)) THEN
+                radocond(i, k) = radocond(i, k) + rnebcon(i, k) * clwcon(i, k)
+                cldfra(i, k) = min(cldfra(i, k) + rnebcon(i, k), 1.)
+              ELSE IF (ptconv(i, k)) THEN
+                cldfra(i, k) = rnebcon(i, k)
+                radocond(i, k) = rnebcon(i, k) * clwcon(i, k)
+              ENDIF
+            ENDDO
           ENDDO
-       ENDDO
-
-    ELSE IF (iflag_cld_th>=3) THEN
-       !  On prend pour les nuages convectifs le max du calcul de la
-       !  convection et du calcul du pas de temps precedent diminue d'un facteur
-       !  facttemps
-       facteur = pdtphys *facttemps
-       DO k=1,klev
-          DO i=1,klon
-             rnebcon(i,k)=rnebcon(i,k)*facteur
-             IF (rnebcon0(i,k)*clwcon0(i,k)>rnebcon(i,k)*clwcon(i,k)) THEN
-                rnebcon(i,k)=rnebcon0(i,k)
-                clwcon(i,k)=clwcon0(i,k)
-             ENDIF
+
+        ELSE IF (iflag_coupl==5) THEN
+          DO k = 1, klev
+            DO i = 1, klon
+              cldfra(i, k) = min(cldfra(i, k) + rnebcon(i, k), 1.)
+              radocond(i, k) = radocond(i, k) + rnebcon(i, k) * clwcon(i, k)
+            ENDDO
           ENDDO
-       ENDDO
-
-       !   On prend la somme des fractions nuageuses et des contenus en eau
-
-       IF (iflag_cld_th>=5) THEN
-
-          DO k=1,klev
-             ptconvth(:,k)=fm_therm(:,k+1)>0.
+
+        ELSE
+
+          ! Si on est sur un point touche par la convection
+          ! profonde et pas par les thermiques, on prend la
+          ! couverture nuageuse et l'eau nuageuse de la convection
+          ! profonde.
+
+          !IM/FH: 2011/02/23
+          ! definition des points sur lesquels ls thermiques sont actifs
+
+          DO k = 1, klev
+            DO i = 1, klon
+              IF (ptconv(i, k).AND. .NOT.ptconvth(i, k)) THEN
+                cldfra(i, k) = rnebcon(i, k)
+                radocond(i, k) = rnebcon(i, k) * clwcon(i, k)
+              ENDIF
+            ENDDO
           ENDDO
 
-          IF (iflag_coupl==4) THEN
-
-             ! Dans le cas iflag_coupl==4, on prend la somme des convertures
-             ! convectives et lsc dans la partie des thermiques
-             ! Le controle par iflag_coupl est peut etre provisoire.
-             DO k=1,klev
-                DO i=1,klon
-                   IF (ptconv(i,k).AND.ptconvth(i,k)) THEN
-                      radocond(i,k)=radocond(i,k)+rnebcon(i,k)*clwcon(i,k)
-                      cldfra(i,k)=min(cldfra(i,k)+rnebcon(i,k),1.)
-                   ELSE IF (ptconv(i,k)) THEN
-                      cldfra(i,k)=rnebcon(i,k)
-                      radocond(i,k)=rnebcon(i,k)*clwcon(i,k)
-                   ENDIF
-                ENDDO
-             ENDDO
-
-          ELSE IF (iflag_coupl==5) THEN
-             DO k=1,klev
-                DO i=1,klon
-                   cldfra(i,k)=min(cldfra(i,k)+rnebcon(i,k),1.)
-                   radocond(i,k)=radocond(i,k)+rnebcon(i,k)*clwcon(i,k)
-                ENDDO
-             ENDDO
-
-          ELSE
-
-             ! Si on est sur un point touche par la convection
-             ! profonde et pas par les thermiques, on prend la
-             ! couverture nuageuse et l'eau nuageuse de la convection
-             ! profonde.
-
-             !IM/FH: 2011/02/23 
-             ! definition des points sur lesquels ls thermiques sont actifs
-
-             DO k=1,klev
-                DO i=1,klon
-                   IF (ptconv(i,k).AND. .NOT.ptconvth(i,k)) THEN
-                      cldfra(i,k)=rnebcon(i,k)
-                      radocond(i,k)=rnebcon(i,k)*clwcon(i,k)
-                   ENDIF
-                ENDDO
-             ENDDO
-
-          ENDIF
-
-       ELSE
-
-          ! Ancienne version
-          cldfra(:,:)=min(max(cldfra(:,:),rnebcon(:,:)),1.)
-          radocond(:,:)=radocond(:,:)+rnebcon(:,:)*clwcon(:,:)
-       ENDIF
+        ENDIF
+
+      ELSE
+
+        ! Ancienne version
+        cldfra(:, :) = min(max(cldfra(:, :), rnebcon(:, :)), 1.)
+        radocond(:, :) = radocond(:, :) + rnebcon(:, :) * clwcon(:, :)
+      ENDIF
 
     ENDIF
@@ -4068,173 +4019,171 @@
     !        enddo prfl, psfl,
     !     enddo
-    !
+
     ! 2. NUAGES STARTIFORMES
-    !
+
     IF (ok_stratus) THEN
-       CALL diagcld2(paprs,pplay,t_seri,q_seri, diafra,dialiq)
-       DO k = 1, klev
-          DO i = 1, klon
-             IF (diafra(i,k)>cldfra(i,k)) THEN
-                radocond(i,k) = dialiq(i,k)
-                cldfra(i,k) = diafra(i,k)
-             ENDIF
-          ENDDO
-       ENDDO
+      CALL diagcld2(paprs, pplay, t_seri, q_seri, diafra, dialiq)
+      DO k = 1, klev
+        DO i = 1, klon
+          IF (diafra(i, k)>cldfra(i, k)) THEN
+            radocond(i, k) = dialiq(i, k)
+            cldfra(i, k) = diafra(i, k)
+          ENDIF
+        ENDDO
+      ENDDO
     ENDIF
-    !
+
     ! Precipitation totale
-    !
+
     DO i = 1, klon
-       rain_fall(i) = rain_con(i) + rain_lsc(i)
-       snow_fall(i) = snow_con(i) + snow_lsc(i)
+      rain_fall(i) = rain_con(i) + rain_lsc(i)
+      snow_fall(i) = snow_con(i) + snow_lsc(i)
     ENDDO
-    !
+
     ! Calculer l'humidite relative pour diagnostique
-    !
+
     DO k = 1, klev
-       DO i = 1, klon
-          zx_t = t_seri(i,k)
-          IF (thermcep) THEN
-             !!           if (iflag_ice_thermo.eq.0) then                 !jyg
-             zdelta = MAX(0.,SIGN(1.,rtt-zx_t))
-             !!           else                                            !jyg
-             !!           zdelta = MAX(0.,SIGN(1.,t_glace_min-zx_t))      !jyg
-             !!           endif                                           !jyg
-             zx_qs  = r2es * FOEEW(zx_t,zdelta)/pplay(i,k)
-             zx_qs  = MIN(0.5,zx_qs)
-             zcor   = 1./(1.-retv*zx_qs)
-             zx_qs  = zx_qs*zcor
+      DO i = 1, klon
+        zx_t = t_seri(i, k)
+        IF (thermcep) THEN
+          !!           if (iflag_ice_thermo.eq.0) then                 !jyg
+          zdelta = MAX(0., SIGN(1., rtt - zx_t))
+          !!           else                                            !jyg
+          !!           zdelta = MAX(0.,SIGN(1.,t_glace_min-zx_t))      !jyg
+          !!           endif                                           !jyg
+          zx_qs = r2es * FOEEW(zx_t, zdelta) / pplay(i, k)
+          zx_qs = MIN(0.5, zx_qs)
+          zcor = 1. / (1. - retv * zx_qs)
+          zx_qs = zx_qs * zcor
+        ELSE
+          !!           IF (zx_t.LT.t_coup) THEN             !jyg
+          IF (zx_t<rtt) THEN                  !jyg
+            zx_qs = qsats(zx_t) / pplay(i, k)
           ELSE
-             !!           IF (zx_t.LT.t_coup) THEN             !jyg
-             IF (zx_t<rtt) THEN                  !jyg
-                zx_qs = qsats(zx_t)/pplay(i,k)
-             ELSE
-                zx_qs = qsatl(zx_t)/pplay(i,k)
-             ENDIF
+            zx_qs = qsatl(zx_t) / pplay(i, k)
           ENDIF
-          zx_rh(i,k) = q_seri(i,k)/zx_qs
-            IF (iflag_ice_thermo > 0) THEN
-          zx_rhl(i,k) = q_seri(i,k)/(qsatl(zx_t)/pplay(i,k))
-          zx_rhi(i,k) = q_seri(i,k)/(qsats(zx_t)/pplay(i,k))
-            ENDIF
-          zqsat(i,k)=zx_qs
-       ENDDO
+        ENDIF
+        zx_rh(i, k) = q_seri(i, k) / zx_qs
+        IF (iflag_ice_thermo > 0) THEN
+          zx_rhl(i, k) = q_seri(i, k) / (qsatl(zx_t) / pplay(i, k))
+          zx_rhi(i, k) = q_seri(i, k) / (qsats(zx_t) / pplay(i, k))
+        ENDIF
+        zqsat(i, k) = zx_qs
+      ENDDO
     ENDDO
 
-    !IM Calcul temp.potentielle a 2m (tpot) et temp. potentielle 
+    !IM Calcul temp.potentielle a 2m (tpot) et temp. potentielle
     !   equivalente a 2m (tpote) pour diagnostique
-    !
+
     DO i = 1, klon
-       tpot(i)=zt2m(i)*(100000./paprs(i,1))**RKAPPA
-       IF (thermcep) THEN
-          IF(zt2m(i)<RTT) then
-             Lheat=RLSTT
-          ELSE
-             Lheat=RLVTT
-          ENDIF
-       ELSE
-          IF (zt2m(i)<RTT) THEN
-             Lheat=RLSTT
-          ELSE
-             Lheat=RLVTT
-          ENDIF
-       ENDIF
-       tpote(i) = tpot(i)*      &
-            EXP((Lheat *qsat2m(i))/(RCPD*zt2m(i)))
+      tpot(i) = zt2m(i) * (100000. / paprs(i, 1))**RKAPPA
+      IF (thermcep) THEN
+        IF(zt2m(i)<RTT) then
+          Lheat = RLSTT
+        ELSE
+          Lheat = RLVTT
+        ENDIF
+      ELSE
+        IF (zt2m(i)<RTT) THEN
+          Lheat = RLSTT
+        ELSE
+          Lheat = RLVTT
+        ENDIF
+      ENDIF
+      tpote(i) = tpot(i) * &
+              EXP((Lheat * qsat2m(i)) / (RCPD * zt2m(i)))
     ENDDO
 
-    IF (ANY(type_trac == ['inca','inco'])) THEN ! ModThL
-IF (CPPKEY_INCA) THEN
-       CALL VTe(VTphysiq)
-       CALL VTb(VTinca)
-       calday = REAL(days_elapsed + 1) + jH_cur
-
-       CALL chemtime(itap+itau_phy-1, date0, phys_tstep, itap)
-       CALL AEROSOL_METEO_CALC( &
-            calday,pdtphys,pplay,paprs,t,pmflxr,pmflxs, &
-            prfl,psfl,pctsrf,cell_area, &
-            latitude_deg,longitude_deg,u10m,v10m)
-
-       zxsnow_dummy(:) = 0.0
-
-       CALL chemhook_begin (calday, &
-            days_elapsed+1, &
-            jH_cur, &
-            pctsrf(1,1), &
-            latitude_deg, &
-            longitude_deg, &
-            cell_area, &
-            paprs, &
-            pplay, &
-            coefh(1:klon,1:klev,is_ave), &
-            pphi, &
-            t_seri, &
-            u, &
-            v, &
-            rot, &
-            wo(:, :, 1), &
-            q_seri, &
-            zxtsol, &
-            zt2m, &
-            zxsnow_dummy, &
-            solsw, &
-            albsol1, &
-            rain_fall, &
-            snow_fall, &
-            itop_con, &
-            ibas_con, &
-            cldfra, &
-            nbp_lon, &
-            nbp_lat-1, &
-            tr_seri(:,:,1+nqCO2:nbtr), &
-            ftsol, &
-            paprs, &
-            cdragh, &
-            cdragm, &
-            pctsrf, &
-            pdtphys, &
-            itap)
-
-       CALL VTe(VTinca)
-       CALL VTb(VTphysiq)
-END IF
+    IF (ANY(type_trac == ['inca', 'inco'])) THEN ! ModThL
+      IF (CPPKEY_INCA) THEN
+        CALL VTe(VTphysiq)
+        CALL VTb(VTinca)
+        calday = REAL(days_elapsed + 1) + jH_cur
+
+        CALL chemtime(itap + itau_phy - 1, date0, phys_tstep, itap)
+        CALL AEROSOL_METEO_CALC(&
+                calday, pdtphys, pplay, paprs, t, pmflxr, pmflxs, &
+                prfl, psfl, pctsrf, cell_area, &
+                latitude_deg, longitude_deg, u10m, v10m)
+
+        zxsnow_dummy(:) = 0.0
+
+        CALL chemhook_begin (calday, &
+                days_elapsed + 1, &
+                jH_cur, &
+                pctsrf(1, 1), &
+                latitude_deg, &
+                longitude_deg, &
+                cell_area, &
+                paprs, &
+                pplay, &
+                coefh(1:klon, 1:klev, is_ave), &
+                pphi, &
+                t_seri, &
+                u, &
+                v, &
+                rot, &
+                wo(:, :, 1), &
+                q_seri, &
+                zxtsol, &
+                zt2m, &
+                zxsnow_dummy, &
+                solsw, &
+                albsol1, &
+                rain_fall, &
+                snow_fall, &
+                itop_con, &
+                ibas_con, &
+                cldfra, &
+                nbp_lon, &
+                nbp_lat - 1, &
+                tr_seri(:, :, 1 + nqCO2:nbtr), &
+                ftsol, &
+                paprs, &
+                cdragh, &
+                cdragm, &
+                pctsrf, &
+                pdtphys, &
+                itap)
+
+        CALL VTe(VTinca)
+        CALL VTb(VTphysiq)
+      END IF
     ENDIF !type_trac = inca or inco
     IF (type_trac == 'repr') THEN
 #ifdef REPROBUS
     !CALL chemtime_rep(itap+itau_phy-1, date0, dtime, itap)
-    CALL chemtime_rep(itap+itau_phy-1, date0, phys_tstep, itap) 
+    CALL chemtime_rep(itap+itau_phy-1, date0, phys_tstep, itap)
 #endif
     ENDIF
 
-    !
     ! Appeler le rayonnement mais calculer tout d'abord l'albedo du sol.
-    !
-    IF (MOD(itaprad,radpas)==0) THEN
-
-       !
-       !jq - introduce the aerosol direct and first indirect radiative forcings
-       !jq - Johannes Quaas, 27/11/2003 (quaas@lmd.jussieu.fr)
-       IF (flag_aerosol > 0) THEN
-          IF (iflag_rrtm == 0) THEN !--old radiation
-             IF (.NOT. aerosol_couple) THEN
-                !
-                CALL readaerosol_optic( &
-                     debut, flag_aerosol, itap, jD_cur-jD_ref, &
-                     pdtphys, pplay, paprs, t_seri, rhcl, presnivs,  &
-                     mass_solu_aero, mass_solu_aero_pi,  &
-                     tau_aero, piz_aero, cg_aero,  &
-                     tausum_aero, tau3d_aero)
-             ENDIF
-          ELSE IF (iflag_rrtm ==1) THEN  ! RRTM radiation
-             IF (aerosol_couple .AND. config_inca == 'aero' ) THEN
-                abort_message='config_inca=aero et rrtm=1 impossible'
-                CALL abort_physic(modname,abort_message,1)
-             ELSE
-                !
+
+    IF (MOD(itaprad, radpas)==0) THEN
+
+      !jq - introduce the aerosol direct and first indirect radiative forcings
+      !jq - Johannes Quaas, 27/11/2003 (quaas@lmd.jussieu.fr)
+      IF (flag_aerosol > 0) THEN
+        IF (iflag_rrtm == 0) THEN !--old radiation
+          IF (.NOT. aerosol_couple) THEN
+
+            CALL readaerosol_optic(&
+                    debut, flag_aerosol, itap, jD_cur - jD_ref, &
+                    pdtphys, pplay, paprs, t_seri, rhcl, presnivs, &
+                    mass_solu_aero, mass_solu_aero_pi, &
+                    tau_aero, piz_aero, cg_aero, &
+                    tausum_aero, tau3d_aero)
+          ENDIF
+        ELSE IF (iflag_rrtm ==1) THEN  ! RRTM radiation
+          IF (aerosol_couple .AND. config_inca == 'aero') THEN
+            abort_message = 'config_inca=aero et rrtm=1 impossible'
+            CALL abort_physic(modname, abort_message, 1)
+          ELSE
+
 #ifdef CPP_RRTM
                 IF (NSW.EQ.6) THEN
                    !--new aerosol properties SW and LW
-                   !
-#ifdef CPP_Dust
+
+IF (CPPKEY_DUST) THEN
                    !--SPL aerosol model
                    CALL splaerosol_optic_rrtm( ok_alw, pplay, paprs, t_seri, rhcl, &
@@ -4242,5 +4191,5 @@
                         tau_aero_sw_rrtm, piz_aero_sw_rrtm, cg_aero_sw_rrtm,  &
                         tausum_aero, tau3d_aero)
-#else
+ELSE
                    !--climatologies or INCA aerosols
                    CALL readaerosol_optic_rrtm( debut, aerosol_couple, ok_alw, ok_volcan, &
@@ -4250,5 +4199,5 @@
                         tau_aero_sw_rrtm, piz_aero_sw_rrtm, cg_aero_sw_rrtm,  &
                         tausum_aero, drytausum_aero, tau3d_aero)
-#endif
+END IF
 
                    IF (flag_aerosol .EQ. 7) THEN
@@ -4257,8 +4206,7 @@
                    ENDIF
 
-                   !
-                ELSE IF (NSW.EQ.2) THEN 
+                ELSE IF (NSW.EQ.2) THEN
                    !--for now we use the old aerosol properties
-                   !
+
                    CALL readaerosol_optic( &
                         debut, flag_aerosol, itap, jD_cur-jD_ref, &
@@ -4267,5 +4215,5 @@
                         tau_aero, piz_aero, cg_aero,  &
                         tausum_aero, tau3d_aero)
-                   !
+
                    !--natural aerosols
                    tau_aero_sw_rrtm(:,:,1,:)=tau_aero(:,:,3,:)
@@ -4276,8 +4224,8 @@
                    piz_aero_sw_rrtm(:,:,2,:)=piz_aero(:,:,2,:)
                    cg_aero_sw_rrtm (:,:,2,:)=cg_aero (:,:,2,:)
-                   !
+
                    !--no LW optics
                    tau_aero_lw_rrtm(:,:,:,:) = 1.e-15
-                   !
+
                 ELSE
                    abort_message='Only NSW=2 or 6 are possible with ' &
@@ -4286,11 +4234,11 @@
                 ENDIF
 #else
-                abort_message='You should compile with -rrtm if running ' &
-                     // 'with iflag_rrtm=1'
-                CALL abort_physic(modname,abort_message,1)
+            abort_message = 'You should compile with -rrtm if running ' &
+                    // 'with iflag_rrtm=1'
+            CALL abort_physic(modname, abort_message, 1)
 #endif
-                !
-             ENDIF
-          ELSE IF (iflag_rrtm ==2) THEN    ! ecrad RADIATION
+
+          ENDIF
+        ELSE IF (iflag_rrtm ==2) THEN    ! ecrad RADIATION
 #ifdef CPP_ECRAD
              !--climatologies or INCA aerosols
@@ -4298,48 +4246,48 @@
                   flag_aerosol, flag_bc_internal_mixture, itap, jD_cur-jD_ref, &
                   pdtphys, pplay, paprs, t_seri, rhcl, presnivs,  &
-                  tr_seri, mass_solu_aero, mass_solu_aero_pi, m_allaer)  
+                  tr_seri, mass_solu_aero, mass_solu_aero_pi, m_allaer)
 #else
-                abort_message='You should compile with -rad ecrad if running with iflag_rrtm=2'
-                CALL abort_physic(modname,abort_message,1)
+          abort_message = 'You should compile with -rad ecrad if running with iflag_rrtm=2'
+          CALL abort_physic(modname, abort_message, 1)
 #endif
+        ENDIF
+
+      ELSE   !--flag_aerosol = 0
+        tausum_aero(:, :, :) = 0.
+        drytausum_aero(:, :) = 0.
+        mass_solu_aero(:, :) = 0.
+        mass_solu_aero_pi(:, :) = 0.
+        IF (iflag_rrtm == 0) THEN !--old radiation
+          tau_aero(:, :, :, :) = 1.e-15
+          piz_aero(:, :, :, :) = 1.
+          cg_aero(:, :, :, :) = 0.
+        ELSE
+          tau_aero_sw_rrtm(:, :, :, :) = 1.e-15
+          tau_aero_lw_rrtm(:, :, :, :) = 1.e-15
+          piz_aero_sw_rrtm(:, :, :, :) = 1.0
+          cg_aero_sw_rrtm(:, :, :, :) = 0.0
+        ENDIF
+      ENDIF
+
+      !--WMO criterion to determine tropopause
+      CALL stratosphere_mask(missing_val, pphis, t_seri, pplay, latitude_deg)
+
+      !--STRAT AEROSOL
+      !--updates tausum_aero,tau_aero,piz_aero,cg_aero
+      IF (flag_aerosol_strat>0) THEN
+        IF (prt_level >=10) THEN
+          PRINT *, 'appel a readaerosolstrat', mth_cur
+        ENDIF
+        IF (iflag_rrtm==0) THEN
+          IF (flag_aerosol_strat==1) THEN
+            CALL readaerosolstrato(debut)
+          ELSE
+            abort_message = 'flag_aerosol_strat must equal 1 for rrtm=0'
+            CALL abort_physic(modname, abort_message, 1)
           ENDIF
-
-       ELSE   !--flag_aerosol = 0 
-          tausum_aero(:,:,:) = 0.
-          drytausum_aero(:,:) = 0.
-          mass_solu_aero(:,:) = 0.
-          mass_solu_aero_pi(:,:) = 0.
-          IF (iflag_rrtm == 0) THEN !--old radiation
-             tau_aero(:,:,:,:) = 1.e-15
-             piz_aero(:,:,:,:) = 1.
-             cg_aero(:,:,:,:)  = 0.
-          ELSE
-             tau_aero_sw_rrtm(:,:,:,:) = 1.e-15
-             tau_aero_lw_rrtm(:,:,:,:) = 1.e-15
-             piz_aero_sw_rrtm(:,:,:,:) = 1.0
-             cg_aero_sw_rrtm(:,:,:,:)  = 0.0
-          ENDIF
-       ENDIF
-       !
-       !--WMO criterion to determine tropopause
-       CALL stratosphere_mask(missing_val, pphis, t_seri, pplay, latitude_deg)
-       !
-       !--STRAT AEROSOL
-       !--updates tausum_aero,tau_aero,piz_aero,cg_aero
-       IF (flag_aerosol_strat>0) THEN
-          IF (prt_level >=10) THEN
-             PRINT *,'appel a readaerosolstrat', mth_cur
-          ENDIF
-          IF (iflag_rrtm==0) THEN
-           IF (flag_aerosol_strat==1) THEN
-             CALL readaerosolstrato(debut)
-           ELSE
-             abort_message='flag_aerosol_strat must equal 1 for rrtm=0'
-             CALL abort_physic(modname,abort_message,1)
-           ENDIF
-          ELSE
+        ELSE
 #ifdef CPP_RRTM
 IF (.NOT. CPPKEY_STRATAER) THEN
-          !--prescribed strat aerosols 
+          !--prescribed strat aerosols
           !--only in the case of non-interactive strat aerosols
             IF (flag_aerosol_strat.EQ.1) THEN
@@ -4353,13 +4301,13 @@
 END IF
 #else
-             abort_message='You should compile with -rrtm if running ' &
+          abort_message = 'You should compile with -rrtm if running ' &
                   // 'with iflag_rrtm=1'
-             CALL abort_physic(modname,abort_message,1)
+          CALL abort_physic(modname, abort_message, 1)
 #endif
-          ENDIF
-       ELSE
-          tausum_aero(:,:,id_STRAT_phy) = 0. 
-       ENDIF
-!
+        ENDIF
+      ELSE
+        tausum_aero(:, :, id_STRAT_phy) = 0.
+      ENDIF
+
 #ifdef CPP_RRTM
 IF (CPPKEY_STRATAER) THEN
